table:
  name: submissions
  schema: challenges
object_relationships:
  - name: active
    using:
      manual_configuration:
        column_mapping:
          challenge_id: challenge_id
          event_id: event_id
        insertion_order: null
        remote_table:
          name: active
          schema: challenges
  - name: challenge
    using:
      manual_configuration:
        column_mapping:
          challenge_id: id
        insertion_order: null
        remote_table:
          name: challenges
          schema: challenges
  - name: event
    using:
      manual_configuration:
        column_mapping:
          event_id: id
        insertion_order: null
        remote_table:
          name: events
          schema: public
  - name: team
    using:
      manual_configuration:
        column_mapping:
          team_id: id
        insertion_order: null
        remote_table:
          name: teams
          schema: public
remote_relationships:
  - definition:
      to_remote_schema:
        lhs_fields:
          - submitter_id
        remote_field:
          c2games_user_by_pk:
            arguments:
              id: $submitter_id
        remote_schema: keycloak
    name: submitter
insert_permissions:
  - role: _participant
    permission:
      check:
        _and:
          - event:
              teams:
                team:
                  members:
                    user_id:
                      _eq: x-hasura-user-id
          - team:
              members:
                user_id:
                  _eq: x-hasura-user-id
          - active:
              released:
                _eq: "true"
      columns:
        - challenge_id
        - event_id
        - flag
        - team_id
        - submitter_id
  - role: _staff
    permission:
      check:
        _and:
          - event:
              teams:
                team:
                  members:
                    user_id:
                      _eq: x-hasura-user-id
          - team:
              members:
                user_id:
                  _eq: x-hasura-user-id
      columns:
        - flag
        - time
        - challenge_id
        - event_id
        - submitter_id
        - team_id
    comment: ""
select_permissions:
  - role: _participant
    permission:
      columns:
        - challenge_id
        - team_id
        - flag
        - submitter_id
        - time
        - event_id
      filter:
        _and:
          - event:
              teams:
                team:
                  members:
                    user_id:
                      _eq: x-hasura-user-id
          - team:
              members:
                user_id:
                  _eq: x-hasura-user-id
          - active:
              released:
                _eq: "true"
      allow_aggregations: true
  - role: _staff
    permission:
      columns:
        - flag
        - time
        - challenge_id
        - event_id
        - submitter_id
        - team_id
      filter: {}
      allow_aggregations: true
    comment: ""
delete_permissions:
  - role: _event_admin
    permission:
      filter: {}
